Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 89 reacties

De eerstvolgende Firefox-versie zal geen ondersteuning voor OS X 10.4 Tiger meer aan boord hebben. Volgens ontwikkelaar Mozilla kost het ondersteunen van 10.4 te veel tijd en beperkt het de mogelijkheden voor andere versies.

OSX 10.4 TigerAl sinds september vorig jaar wordt er niet meer voor de OS X 10.4-versie van Firefox ontwikkeld, maar de ondersteuning was nog wel in de browser aanwezig. De huidige versie 3.6 van de browser is echter de laatste versie die geschikt is voor Tiger-gebruikers, zo werd door Mozilla-ontwikkelaar Josh Aas aangekondigd.

Alle code voor de 10.4-ondersteuning zal uit de eerstvolgende Firefox-versie worden verwijderd, waardoor deze waarschijnlijk niet of slecht onder OS X 10.4 zal werken. Tiger-gebruikers kunnen de huidige Firefox 3.6 blijven gebruiken. Voor deze versie worden nog tot 'enkele maanden' na het verschijnen van de eerstvolgende versie, later dit jaar, security updates uitgebracht.

Hoewel Aas schat dat 25 procent van de OS X-gebruikers nog Tiger gebruikt, zegt hij dat het laten vallen van ondersteuning voor een bepaalde OS X-versie de browser meestal weinig marktaandeel kost. Daarnaast zou het blijven ondersteunen van de oudere OS X-versie de ontwikkelaars tijd kosten en de mogelijkheden voor de developers beperken. Overigens is concurrent Google Chrome ook niet te gebruiken op OS X Tiger. Versie 10.4 van Mac OS X kwam uit in april 2005; Tiger is inmiddels opgevolgd door Leopard en Snow Leopard.

Moderatie-faq Wijzig weergave

Reacties (89)

Vraag me af waarom eigenlijk. Is het onderliggende systeem dan zo verschillend per OS X versie?
De bron noemt het volgende:
Adding 10.4 support back to mozilla-central would mean switching back to ATSUI from Core Text, switching back to gcc-4.0 from gcc-4.2, and doing a bit of porting work for code that has been added to the tree since we dropped support for 10.4. Other areas where 10.4 support consumes our time, makes our code more complex or error-prone, and/or limits our capabilities include complex text input (IME), out-of- process plugins, printing, native menus, and Core Animation. Furthermore, Apple's upcoming JavaPlugin2 will not support Mac OS X 10.4.
Oftewel, ze zouden een oudere compiler en libraries moeten gebruiken. Ik ben geen OS X expert, maar zo te zien zijn er een aantal frameworks zoals Core Animation bijgekomen die niet in 10.4 zitten.

[Reactie gewijzigd door JanDM op 9 februari 2010 11:32]

Ik moet zeggen dat het wel heel apart is dat je afhankelijk bent van een bepaalde compiler-versie om voor een bepaalde versie van een OS te kunnen ontwikkelen.
Nee hoor. Happens all the time.

Op een gegeven moment schrijven te weinig mensen nieuwe software voor een legacy platform.
De maintainers van compilers en library sets droppen dan ook support.
De nieuwe features van de compiler/libraries zijn dan niet meer beschikbaar voor dat platform.
App developers moeten dan speciaal moeite doen om ook tegen de oude development tools aan te kunnen compilen.
In Xcode kon je dan ook opgeven voor welke OSX versie je wilde compileren. Vermoedelijk is het zo dat hoe verder backward compatible je compileert hoe minder 'moderne' mogelijkheden je kan toevoegen aan je programma.
van de compiler meestal niet, maar wel van de beschikbare libary's
En aangezien die nieuwe niet voorkomen op OS X 10.4 wordt het lastig

Dan zou Mozilla 2 versies voor OS X moeten onderhouden en dat wordt erg duur
De stap van 10.4 naar 10.5 was wel groot, ja. 10.5 heeft Core Text om te renderen, voorheen had je ATSUI, en dat is een wereld van verschil. Daarnaast zit je bij 10.4 vast aan gcc-4.0 als compiler (nu 4.2) en daarvoor moet er nogal wat code herschreven worden.
En ondersteuning voor G3 / G4/powerPC processors is er in een van de updates van 10.5 volgens mij uitgegooid ... heeft er vast ook wat mee te maken.
Pas vanaf 10.6 wordt de PPC niet meer ondersteund.

Edit: G3 ondersteuning is inderdaad vervallen bij 10.5.
G4 is bij 10.5 ondersteund vanaf 867Mhz.

[Reactie gewijzigd door Ocelot op 9 februari 2010 15:23]

waarschijnlijk niet, maar bepaalde dingen zijn natuurlijk per OS geoptimaliseerd in FF. Dus waarschijnlijk draait FF nog steeds op de oude OS X, maar als er problemen komen omdat er toch een fundamenteel verschil blijkt te zijn wordt dat niet meer opgelost. M.i. een goed plan, je krijgt er een kleinere en stabielere browser van. En als apple-gebruiker is het toch al veel makkelijker om een os-update te doen, dus waar wachten ze nog op?
Upgraden kost als je al een OS X hebt toch maar een paar tientjes? Waarom blijven er nog mensen op een verouderde versie dan?

Je moet mensen niet in hokjes zetten maar ik dacht altijd dat Apple-mensen toch wel trouwe fans waren die altijd het nieuwste willen hebben. Dat die dan niet updaten... :O
Als je van 10.4 of eerder naar 10.6 wil upgraden, betaal je niet aan paar tientjes maar een hele hoop geld.
Gebruikers van een 3jaar oude PowerPC kunnen zelfs niet meer naar 10.6.

[Reactie gewijzigd door Rizon op 9 februari 2010 12:04]

Gebruikers van een 3jaar oude PowerPC kunnen zelfs niet meer naar 10.6.
Maar wel naar 10.5, die nog wel ondersteund wordt. 10.5 ondersteund nog steeds de G5, alleen ondersteuning voor de G4 is daar gestopt. in 10.6 is vervolgens de ondersteuning voor de G5 pas gestopt.

Overigens, de G5 is al 4 jaar uit de roulatie.
Moet je wel aan 10.5 kunnen komen en dat zal op dit moment een aardige uitdaging worden. Je bent nu eigenlijk overgeleverd aan de planken bij de winkels en het tweedehands circuit. Je bent dus afhankelijk van 10.5 versies die nog ergens op de plank liggen en mensen die hun 10.5 retail versie te koop aanbieden (bijv. omdat ze naar 10.6 zijn gegaan). Die 10.5 versie heeft destijds 129 euro gekost dus verwacht niet dat je het voor minder krijgt. Die 129 euro is heel wat anders dan een paar tientjes (de 29 euro die je voor 10.6 betaald).
Waarom blijven er nog mensen op een verouderde versie dan?
Omdat er niets anders op hun Mac draait, omdat ze 10.5 en 10.6 niets vinden en/of omdat ze software hebben die niet compatible is met 10.5/10.6. Het is dan ook vaak gewoon een kwestie van niet kunnen upgraden dan van niet willen upgraden. Voor die mensen is er niets aan de hand omdat Firefox 3.6 nog werkt en ze ook nog andere webbrowsers hebben waar ze gebruik van kunnen maken. Maar men moet wel realiseren dat ook dat uiteindelijk wel een keer ophoudt.
10.5.8 loopt ook nog prima op mijn oude eMac G4.
Oh ja, da's waar, maar niet alle G4's toch?
Klopt, officieel wordt vanaf 10.5 de G3 niet meer ondersteund en de G4 moet minimaal 867Mhz zijn.
Maar via een omweg is het soms toch nog mogelijk 10.5 op een oudere processor te laten lopen.
Zie het kopje "Usage on unsupported hardware" op de Engelse Wiki van 10.5:
http://en.wikipedia.org/wiki/Mac_OS_X_Leopard
Ik denk dat er ook veel mensen voor een Apple kiezen omdat ze juist niet met al dat gedoe van upgraden bezig willen zijn, en dat dus domweg ook niet doen, gewoon omdat datgene wat ze hebben werkt.

[Reactie gewijzigd door Jesse op 9 februari 2010 11:46]

Al dat gedoe van upgraden. Overdrijven is ook een vak hoor :+. Van 10.4 naar 10.5 of 10.6 gaan is een kwestie van dvd erin pleuren, klik-klik-klik, en computer een tijdje zn werk laten doen. Dat is het enige. Je kan er gewoon voor kiezen om over je oude besturingssysteem heen te gaan, zodat alles bewaard blijft. Geen reden imo.
Dat dacht je dan verkeerd. ;) Er zijn ook nog genoeg mensen met een PowerPC-based Mac die ook Tiger draaien, omdat dat ook al rock-solid was en Leopard voor hen wellicht te weinig voordelen bood.

Sowieso wil je bij Apple niet het nieuwste OS hebben als het net uit is, de meeste .0-releases zijn vrij buggy, pas vanaf .3 begint het ergens op te lijken. Net als bij Windows wil je eerst een paar service releases afwachten. (Hoewel Snow Leopard en Windows 7 dit lijken te doorbreken).

PowerPC-gebruikers met Tiger hebben trouwens een probleem, want die zouden nog wel naar Leopard kunnen updaten (Snow Leopard draait niet meer op PowerPC's), maar die is officieel niet meer te koop.

[Reactie gewijzigd door 19339 op 9 februari 2010 11:48]

Windows fans dan niet? De meeste windows gebruikers gebruiken ook nog steeds XP. Je kan het je niet voorstellen maar er zijn echt wel heel veel mensen die niet weten dat je een computer kan upgraden en het is ook niet het soort mensen dat er om staat te springen want als je het hen uitlegt blijken ze gewoon tevreden over wat ze willen.
Wat eigenlijk wel opvallend is, is dat een OS X versie uit 2005 gedropt wordt, maar dat een Windows versie uit 2001 nog steeds ondersteund wordt.
Maargoed in het geval van Windows XP zullen ze helaas wel niet om de grote getallen heenkunnen.
Blijkbaar zijn er tussen de Windows versies onderling minder spectaculaire wijzigingen doorgevoerd dan bij OS X waardoor het makkelijker is om oude Windows versies te blijven ondersteunen.

Ik neem aan dat ze niet voor de lol support voor oudere Mac OS versies droppen. En als bij Windows ineens ook grote wijzigingen zouden zijn doorgevoerd waardoor backwards compatibility veel werk op zou leveren, dan droppen ze daar de support ook wel voor hoor.
Dat is niet zo raar en wordt hier eerder ook al uitgelegd. Microsoft heeft een flinke fout begaan met Vista en heeft dat uiteindelijk ook toegegeven. Vista is geen succes geworden waarbij men op XP is blijven werken. Er zijn echter al aardig wat mensen van XP en Vista naar 7 geupgrade maar mogelijk is de userbase van Windows XP groter dan die van Windows 7. In dat geval betekent het niet meer supporten van XP een enorme daling in marktaandeel wat Firefox betreft. Je moet dan kiezen tussen het supporten van nieuwe Windows versies wat ten koste gaat van veel gebruikers of juist voor het ondersteunen van de vele gebruikers die nog op XP zitten. Mozilla is meer gericht op gebruikers dus is het niet raar dat ze dan maar XP ondersteunen. Komen ze ook mooier uit de verf bij marktaandeelonderzoeken ;)

Bij iets als OS X v10.4 speelt dat verhaal niet omdat daar de meeste mensen al op 10.5 en 10.6 zitten. Het maakt dan weinig tot niets uit of ze het nou ondersteunen of niet. Juist omdat het ondersteunen van 3 verschillende OS versies, waarbij het verschil 10.4-10.5/10.6 erg groot is, nogal erg lastig is ben je veel tijd kwijt aan iets wat toch niet erg boeiend is. Het is dan ook veel verstandiger om te stoppen met tijd en energie in zinloze dingen te steken en te werken aan veel zinnigere zaken. Dat vindt Mozilla ook dus hebben ze de ondersteuning voor 10.4 stopgezet. Ze zijn echter niet de enigen, velen zijn hen al voorgegaan.
Wat mij meer opvalt is dat wanneer Ms een product dropt er veel meer gezeik is.
lijkt mij dat dat komt doordat de userbase wat groter is. Bovendien is het grootste gedeelte van de (grote) bedrijven toch nog steeds behoorlijk wintel minded.
Wat mij meer opvalt is dat wanneer Ms een product dropt er veel meer gezeik is.
Een deel van het gebrek aan gezeik komt met name omdat ik iedereen met Mac's snel zie upgraden. De helft van de mensen die ik ken hadden een maand na release al Snow Leopard draaien. (en doorgaans ook naar volle tevredenheid).

In windows land is de suggestie van onmiddelijk upgraden, zeker binnen bedrijven, vloeken in de kerk, maar in Mac land liggen die zaken vaak toch wel anders merk ik. Er zijn natuurlijk uitzonderingen, vaak binnen bedrijven waar voor Mac's dezelfde policy geld als voor Windows machines. En gebruikers die dat gewoon prettiger vinden. (en toegegeven, met een apple .0 release wil er nog wel eens een issue zijn)
Voordat 3.6 uitgefaseerd is, zijn we nog wel een jaar of twee verder. Heel erg ernstig lijkt het me dus niet.
Zie nieuws: Mozilla geeft Firefox 3.6 vrij.
Versie 4.0 - gepland voor release eind dit jaar of begin 2011 -
Hooguit een jaar dus ;)
Tussen 3.6 en 4.0 zit 3.7 nog. Daarnaast is het releasen van een nieuwe Firefox versie ook niet per definitie het einde voor de voorgaande versie. Firefox 3.0 en 3.5 worden ook nog steeds ondersteund nu 3.6 uit is. De ondersteuning zal met de tijd wel afnemen en in sommige gevallen helemaal gestaakt worden (zie bijv. hoe men dat met Firefox 2 deed) maar er is geen directe stop wanneer er een nieuwe Firefox versie uit komt. Dat is ook niet wenselijk omdat je dan mensen versies aan het opleggen bent. Een overgangsperiode is een stuk klantvriendelijker en slimmer. Mocht er dan iets zijn kun je nog terug naar een oudere versie waar het wel goed werkte.
De volgende versie na 3.6 zal 4.0 zijn, 3.7 wordt overgeslagen.
Apple heeft Safari 4 ook op Tiger uitgebracht, en dat is een prima browser, dus ik denk dat Tiger gebruikers hiermee zullen werken.

Tiger is toch het domein van oudere Macs en vaak van PowerPC systemen die geen Leopard kunnen draaien. Dit zijn systemen van < 867MHz dus behoorlijk oude machientjes.
Tiger is toch het domein van oudere Macs
Mijn Core2 duo macbook van zomer 2006 vind ik eigenlijk nog niet oud. Dit is typisch gedrag van software ontwikkelaars uit de open source community, als ze geen zin meer hebben dan stoppen ze er gewoon mee. Je kunt ze immers niet tot professionaliteit dwingen.
Bye bye G3

en g4 en g5 krijgen altijd voorrang
Er is altijd nog Macports of fink. Je kan altijd de laatste versie via deze manier binnen trekken. Wss niet de native interface, maar je hebt wel de browser.
Dat gaat alleen niet werken omdat ze 10.4 code eruit gaan slopen en er alleen maar 10.5/10.6 code in terug komt. Aangezien 10.4 die 10.5/10.6 dingen niet snapt zal het niet draaien. Je zult dus de broncode moeten pakken en alles zelf aanpassen zodat het wel werkt op 10.4. Je kunt het dan beter bij 3.6 houden of uitzien naar een andere browser die nog wel 10.4 support levert (10.4 support begint overigens steeds minder te worden).
Ik denk dat het niet ondersteunen van oudere os-en ook een beetje bijdraagt aan vernieuwing. Ik zie het dus niet echt als probleem. Ik ben dan ook zo iemand die houd van updates en stuff:]

Maar goed als mensen perse op 10.4 willen blijven hangen, kunnen ze toch ook gewoon safari gaan gebruiken. Dat is zeker de beroerdste niet qua browser.
Het is voor XP mogelijk makkelijker om te compileren omdat de verschillen wat kleiner zijn? Zie o.a. de reactie van RefriedNoodle, en voor XP is in 2008 nog SP3 uitgebracht.

De getallen zullen ook wel mee spelen inderdaad, onder OS X zou ik lekker safari gebruiken, fijne browser in mijn ogen.Ik weet niet wat het marktaandeel is van firefox onder OS X? maar zal vast niet super veel zijn.
Nja, zolang http://www.oldversion.com/ blijft bestaan zullen de verstokte firefox & osX 10.4 gebruikers nog kunnen doen wat ze willen zeker.

Als de andere firefox versies hierdoor kunnen uitbreiden (en wss geoptimaliseerd worden) dan is dat alleen maar toe te juichen.

'k heb die site overlaatst nog gebruikt om good 'ol winamp 2.x te installeren ^^
Jammer voor de verstokte FF gebruiker maar gelukkig zijn er nog alternatieven.
Ik zou ook zeggen, jammer voor de MacOSX 10.4 Tiger-gebruiker met een oude(re) Mac, zoals de G4, die wel graag Mozilla FireFox wil (blijven) gebruiken.

Nou moet ik eerlijk toegeven dat ik al tijden Mozilla Camino gebruikte op mijn iBook G4, maar als dit doorgaat zal Camino ook wel vervallen als optie, dan gaan we wel terug naar Safari...
Volgens mij kun je ook gewoon een oudere versie van Firefox/Camino blijven gebruiken toch? En anders ... is Safari inderdaad ook niet slecht.

Hoe zit het eigenlijk met de browsermarkt op de mac, is dat ook 90% safari, zoals het op windows 90% IE is?
Ik weet niet hoe het bij de rest zit maar bij mij is het 90% ff, 8% safari en 2% chrome.
Bij mij is het 95% safari, 3% chrome en 2% FF
upgraden bijv ;)

maar anders nog, van Open Office wordt ook een OSX-native port gebouwd, ik zie niet in waarom er geen OSX-fox gebouwd kan worden.
Het gaat hier om de OS X-specifieke versie van Firefox...

Wat men echter doet is het niet langer ondersteunen van versie 10.4 van OS X, de nieuwere versies blijven wel ondersteund worden...

Inmiddels is OS X 10.6 uit en loopt 10.4 al weer enige tijd achter, qua nieuwswaarde is dit dan ook niet anders dan het niet langer ondersteunen van MS-Windows 98 door Fx, met als enige uitzondering dat het aantal gebruikers dat nog Fx voor OS X 10.4 gebruikt mogelijk hoger is...
In verhouding is dit eerder Windows XP dat niet meer ondersteund wordt dan Windows 98 (Tiger -> Leopard -> Snow Leopard tegenover XP -> Vista -> Seven).

Zelf heb ik hier geen problemen mee, maar het is toch een snelle ontwikkeling. Een OS als XP wordt doorgaans toch een pak langer ondersteund.

Nu kan iedereen met een Intel Mac wel voor 30 euro overschakelen naar Snow Leopard, maar of iedereen dat ook wil is maar de vraag. Ook Tiger gebruikers trouwens, behalve de EULA is er niets dat je tegenhoudt.

typfoutje weggeŽdit

[Reactie gewijzigd door Zero Grav op 9 februari 2010 13:05]

Nu kan iedereen met een Intel Mac wel voor 30 euro overschakelen naar Snow Leopard, maar of iedereen dat ook wil is maar de vraag.
Nee hoor, mensen met een 2Ghz G5-cpu dus niet. Die kunnen slechts tot versie 10.5
Zelfde geld natuurlijk ook voor mensen met een andere G5-cpu of met een G4 of G3.
Maar 10.5 wordt nog wel ondersteund, dus daar is er geen probleem ;)
Hij heeft het dan ook over een Intel Mac. Deze mensen kunnen wel upgraden naar Snow Leopard. De oudere macs met een powerpc cpu kunnen naar 10.5.

Of je gebruikt gewoon Safari van Apple, vind ik persoonlijk een erg fijne browser. :)
Tjah marktaandeel, het aantal Windows XP gebruikers is waarschijnlijk hoger dan het totaal aantal Mac gebruikers...
Overigens doet Firefox het ook nog onder win2k, in tegenstelling tot Safari en Chrome. (Opera draait blijkbaar nog wel onder win2k, maar XP word aangeraden)
Upgraden kan niet m'n imac G3 ondersteund officieel maat tm 10.3 (met een truuk dus 10.4 maar zeker geen 10.5...)
Je kan er altijd Ubuntu opzetten :)
Of Chrome of Camino, of...
Een G3? Is het geen tijd voor een nieuwe computer dan? De G3 dateert nog van de jaren 90!
Dan zou ik toch maar eens goed doorsurfen, want die is er al.

Camino ;)
Ik dacht meer aan Camino zoals Snake al aangeeft, maar ook Opera en iCab.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True